#
# spec file for package axw3 (Version 0.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

#BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslog-ng sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         axw3
License:      GPL
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      0.2
Release:      738.67
Summary:      HTTP proxy and IP/AX25 gateway
Source:       ftp://ftp.ime.usp.br/pub/ueda/%{name}-%{version}.tar.gz
URL:          http://www.ime.usp.br/~ueda/axw3/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
axw3 is a HTTP proxy and IP/AX25 gateway that allows your browser to
fetch pages from the Internet using a pure AX25 connection without
encapsulated IP.



Authors:
--------
    Ricardo Ueda Karpischek <ueda@ime.usp.br> (Email not working!)

%debug_package
%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/ax25/
install -d $RPM_BUILD_ROOT/usr/sbin
install -m 644 axw3.conf $RPM_BUILD_ROOT/etc/ax25
install -m 755 axw3 $RPM_BUILD_ROOT/usr/sbin/axw3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL axw3.lsm
%dir /etc/ax25
%config /etc/ax25/axw3.conf
/usr/sbin/axw3 

%changelog -n axw3
* Thu Feb 24 2011 - dl8fcl@darc.de
- Fix for 11.4
* Wed Feb 20 2007 - dl9pf@gmx.de
- import into buildservice
* Thu Feb 26 2004 - hmacht@suse.de
- building as non-root
* Tue Jun 17 2003 - ro@suse.de
- added /etc/ax25 to filelist
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri May 05 2000 - bubnikv@suse.cz
- added buildroot, URL: to spec file
- minor cleanups of spec file
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Apr 15 1999 - ka@suse.de
- initial release
